<?php

//require_once("db_conn_class.php");

require_once("webform_class.php");

//creating object of res info class

$app = new app();

/*$dbh = new db_conn();

$dbh->set_conn();*/

//==========================================================================

//retaining the value of the variables

if(isset($_POST['txtname']) && ($_POST['txtname'] != ""))

{

	$app->name =  str_replace("'"," ",$_POST['txtname']);

}

if(isset($_POST['contact']) && ($_POST['contact'] != ""))

{

	$app->contact =  str_replace("'"," ",$_POST['contact']);

}

if(isset($_POST['email']) && ($_POST['email'] != ""))

{

	$app->email =  str_replace("'"," ",$_POST['email']);

}

if(isset($_POST['cmbCourse']) && ($_POST['cmbCourse'] != ""))

{

	$app->course =  str_replace("'"," ",$_POST['cmbCourse']);

}

if(isset($_POST['txturl']) && ($_POST['txturl'] != ""))
{
	$app->txturl = $_POST['txturl'];
}

if(isset($_POST['location']) && ($_POST['location'] != ""))

{

	$app->location =  str_replace("'"," ",$_POST['location']);

}

if(isset($_POST['cmbDate']) && ($_POST['cmbDate'] != ""))

{

	$app->coursedate =  str_replace("'"," ",$_POST['cmbDate']);

}

if(isset($_POST['qualification']) && ($_POST['qualification'] != ""))

{

	$app->qualification =  str_replace("'"," ",$_POST['qualification']);

}

if(isset($_POST['comment']) && ($_POST['comment'] != ""))

{

	$app->comment =  str_replace("'"," ",$_POST['comment']);

}

//==========================================================================

//when save button is clicked

if(isset($_POST['submit_apply']))

{	

    		

    //saving data into database

	$app->InsertData();	

	

	//for sending mail

	$app->SendMail();

	//$id = $_GET['id'];

	//echo $id;

	//return;

	@header("Location:thankyou.php");

}


if(isset($_POST['submit_EYCE']))

{	

    		

    //saving data into database

	$app->InsertData3();	

	

	//for sending mail

	$app->SendMail3();

	//$id = $_GET['id'];

	//echo $id;

	//return;

	@header("Location:thankyou.php");

}





//==========================================================================

if(isset($_POST['submit_sf']))

{	

    		

    //saving data into database

	$app->InsertData_sf();	

	

	//for sending mail

	$app->SendMail_sf();

	//$id = $_GET['id'];

	//echo $id;

	//return;

	@header("Location:thankyou.php");

}

//==========================================================================

$flag= 0;

//for Subscribe to our Newsletter! (ACT)

if(isset($_POST['saveNewsletter']))

{	

    		

    //saving data into database

	$app->InsertData1();	

	

	//for sending mail

	$app->SendMail1();

	$app->SendMailToCandidate();

	

	$flag = 1;

	$msg ="Thank you for registering for the ACT's newsletter.";

	

	/*echo "<script type='text/javascript'>

        window.open('https://www.asiancollegeofteachers.com/newsletter-images/newsletter.html', '_blank')

    </script>";*/

	@header("Location:https://www.asiancollegeofteachers.com/newsletter-images/newsletter.html");

	

}

//==========================================================================

if(isset($_POST['saveForm']))

{	

    		

    //saving data into database

	$app->InsertData2();	

	

	//for sending mail

	$app->SendMail2();

	//$id = $_GET['id'];

	//echo $id;

	//return;

	@header("Location:thankyou.php");

}

//==========================================================================

//========================== COURSES COMMON FORM START ================================================

if(isset($_POST['common_course_submit']) && ($_POST['common_course_submit'] == "save_data_common"))
{	
    
    //saving data into database
	$app->InsertData_common_course();	
	
	//for sending mail
	$app->SendMail_common_course();
	//$id = $_GET['id'];
	//echo $id;
	//return;
	@header("Location:thankyou.php");
}
//============================== COURSES COMMON FORM END ============================================


?>